IP_RECVOPTS(2const)

NAME
IP_RECVOPTS - receive all incoming IP options in control message

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_RECVOPTS,
               const int *enable, sizeof(int));

DESCRIPTION
Pass all incoming IP options to the user in a IP_OPTIONS(2const) control message.

The routing header and other options are already filled in for the local host.

Not supported for SOCK_STREAM sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 2.2.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)